org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class WildcardImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.WildcardImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, Annotated, OpenAttrs, Wildcard, SimpleValue, XmlObject, XmlTokenSource
  Direct Known Subclasses:
    AnyDocumentImpl.AnyImpl

      public class WildcardImpl
      extends AnnotatedImpl
      implements Wildcard

  An XML wildcard(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WildcardImpl.ProcessContentsImpl` An XML processContents(@).

    - ### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Wildcard

      `Wildcard.ProcessContents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Wildcard

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WildcardImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getNamespace()` Gets the "namespace" attribute
    `Wildcard.ProcessContents.Enum` | `getProcessContents()` Gets the "processContents" attribute
    `boolean` | `isSetNamespace()` True if has "namespace" attribute
    `boolean` | `isSetProcessContents()` True if has "processContents" attribute
    `void` | `setNamespace(Object namespace)` Sets the "namespace" attribute
    `void` | `setProcessContents(Wildcard.ProcessContents.Enum processContents)` Sets the "processContents" attribute
    `void` | `unsetNamespace()` Unsets the "namespace" attribute
    `void` | `unsetProcessContents()` Unsets the "processContents" attribute
    `NamespaceList` | `xgetNamespace()` Gets (as xml) the "namespace" attribute
    `Wildcard.ProcessContents` | `xgetProcessContents()` Gets (as xml) the "processContents" attribute
    `void` | `xsetNamespace(NamespaceList namespace)` Sets (as xml) the "namespace" attribute
    `void` | `xsetProcessContents(Wildcard.ProcessContents processContents)` Sets (as xml) the "processContents" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### WildcardImpl

          public WildcardImpl(SchemaType sType)

  - ### Method Detail

    - #### getNamespace

          public Object getNamespace()

      Gets the "namespace" attribute
      Specified by:
        `getNamespace` in interface `Wildcard`

    - #### xgetNamespace

          public NamespaceList xgetNamespace()

      Gets (as xml) the "namespace" attribute
      Specified by:
        `xgetNamespace` in interface `Wildcard`

    - #### isSetNamespace

          public boolean isSetNamespace()

      True if has "namespace" attribute
      Specified by:
        `isSetNamespace` in interface `Wildcard`

    - #### setNamespace

          public void setNamespace(Object namespace)

      Sets the "namespace" attribute
      Specified by:
        `setNamespace` in interface `Wildcard`

    - #### xsetNamespace

          public void xsetNamespace(NamespaceList namespace)

      Sets (as xml) the "namespace" attribute
      Specified by:
        `xsetNamespace` in interface `Wildcard`

    - #### unsetNamespace

          public void unsetNamespace()

      Unsets the "namespace" attribute
      Specified by:
        `unsetNamespace` in interface `Wildcard`

    - #### getProcessContents

          public Wildcard.ProcessContents.Enum getProcessContents()

      Gets the "processContents" attribute
      Specified by:
        `getProcessContents` in interface `Wildcard`

    - #### xgetProcessContents

          public Wildcard.ProcessContents xgetProcessContents()

      Gets (as xml) the "processContents" attribute
      Specified by:
        `xgetProcessContents` in interface `Wildcard`

    - #### isSetProcessContents

          public boolean isSetProcessContents()

      True if has "processContents" attribute
      Specified by:
        `isSetProcessContents` in interface `Wildcard`

    - #### setProcessContents

          public void setProcessContents(Wildcard.ProcessContents.Enum processContents)

      Sets the "processContents" attribute
      Specified by:
        `setProcessContents` in interface `Wildcard`

    - #### xsetProcessContents

          public void xsetProcessContents(Wildcard.ProcessContents processContents)

      Sets (as xml) the "processContents" attribute
      Specified by:
        `xsetProcessContents` in interface `Wildcard`

    - #### unsetProcessContents

          public void unsetProcessContents()

      Unsets the "processContents" attribute
      Specified by:
        `unsetProcessContents` in interface `Wildcard`